### Function

# GLib HashTable new_similar

since: 2.72

#### Declaration [src]

    GHashTable*
    g_hash_table_new_similar (
      GHashTable* other_hash_table
    )

#### Description [src]

Creates a new `GHashTable` like `g_hash_table_new_full()` with a reference count of 1.

It inherits the hash function, the key equal function, the key destroy function, as well as the value destroy function, from `other_hash_table`.

The returned hash table will be empty; it will not contain the keys or values from `other_hash_table`.

Available since: 2.72

#### Parameters

`other_hash_table`

  Type: `GHashTable`

  Another `GHashTable`.

  The data is owned by the caller of the function.

#### Return value

Type: `GHashTable`

A new `GHashTable`.

The caller of the function takes ownership of the data, and is responsible for freeing it.